<template>
  <div>
    <div class="headerwidthcontainer">
      <div id="shopbanner-accounting">
        <div id="shopname-accounting">
          <div class="inner">{{ shop.name }}</div>
        </div>
      </div>
    </div>
    <div class="contentwidthcontainer">
      <div id="sidebar">
        <headlines />
        <action-buttons
          id="headlinebox-actionbuttons"
          :has-swiper="hasSwiper"
          :shop="shop" />
      </div>
      <div id="mainpagecontent">
        <B2BAccounting :shop="shop" />
      </div>
    </div>
  </div>
</template>

<script>
import Headlines from "../Headlines.vue";
import ActionButtons from "../ActionButtons.vue";
import B2BAccounting from "../../../../shared/views/B2BAccounting.vue";

export default {
  components: {
    Headlines,
    ActionButtons,
    B2BAccounting
  },
  props: {
    shop: Object,
    hasSwiper: Boolean,
  },
  data() {
    return {
      salesObject: Object,
      expandSales: false,
      intervalID: ""
    };
  },
  created: function() {
    this.getSalesData();
    this.poller();
  },
  destroyed: function() {
    clearInterval(this.intervalID);
  },
  methods : {
    getSalesData() {
        app.api.Get( "/transaction/getSalesByShop/" + this.shop.canonical_name).then( response => {
          this.salesObject = response;
        });
    },
    deleteSale(sale) {
      var result = confirm( "Void payment?" );
      if(result) {
        app.api.Delete( "/transaction/" + sale.id).then( response => {
          this.getSalesData();
        });
      }
    },
    poller() {
      this.intervalID = setInterval(() => {
        this.getSalesData();
      }, 10000);
    }
  }
};
</script>

<style>
.market.layout1.color1 #mainpagecontent a p {
  color: white;
}
.market.layout2.color1 #mainpagecontent a p {
  color: white;
}
.market.layout1.color2 #mainpagecontent a p {
  color: white;
}
.market.layout2.color2 #mainpagecontent a p {
  color: white;
}

</style>
